## freedombox 21.3ubuntu1

=== debian/changelog ===
freedombox (21.3ubuntu1) hirsute; urgency=medium

  * debian/patches/workaround_tests_issue.patch:
    - workaround a test only working under the fbx account

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Mar 2021 15:01:27 +0100

freedombox (21.3) unstable; urgency=medium

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Michalis ]
  * Translated using Weblate (Greek)

  [ James Valleroy ]
  * upgrades: Mark string as no-python-format
  * locale: Update translation strings
  * upgrades: Only check free space bytes before dist upgrade
  * upgrades: Add 10 minute delay before apt update
  * upgrades: Disable apt snapshots during dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ John Lines ]
  * gitignore: Ignore files generated during package build
  * zoph: Add new app to organize photos

  [ Sunil Mohan Adapa ]
  * tests: functional: Introduce step def. to check if app is enabled
  * zoph: Make app unavailable in Buster

  [ Aurélien Couderc ]
  * sharing: Improve shares group access description

  [ Fioddor Superconcentrado ]
  * HACKING: Link download page for Geckodriver.
  * Translated using Weblate (Spanish)

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 11 Feb 2021 17:59:49 -0500

freedombox (21.2) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Sunil Mohan Adapa ]
  * radicale: Allow older 2.x release to upgrade to 3.x
  * backups: schedule: tests: Fix failures due to long test run
  * minidlna: Minor refactor of media directory handling
  * minidlna: Implement force upgrading from older version
  * jsxc: Fix issues with jQuery >= 3.5.0

  [ Veiko Aasa ]
  * calibre: Fix freedombox.local inaccessible after enabling app
  * mediawiki: Fix app installation process doesn't display status information
  * plinth: Show running spinner when app installation is in progress

  [ James Valleroy ]
  * upgrades: Return reason when checking for dist upgrade
  * upgrades: Get result of start-dist-upgrade
  * upgrades: Move start-dist-upgrade result string to app
  * upgrades: Add notifications for dist upgrade
  * tests: Update functional tests default config
  * roundcube: Allow upgrade to 1.4.*
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ ikmaak ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Hungarian)

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Алексей Докучаев ]
  * Translated using Weblate (Russian)

  [ Stanisław Stefan Krukowski ]
  * Translated using Weblate (Polish)

  [ Oymate ]
  * Translated using Weblate (Bengali)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * matrix-synapse: python3-psycopg2 from backports
  * upgrades: Increment version for MatrixSynapse 1.26
  * mediawiki: Set default logo to mediawiki.png

  [ nautilusx ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 06 Feb 2021 00:33:34 -0500

freedombox (21.1) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (French)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Persian)
  * Translated using Weblate (Gujarati)
  * Translated using Weblate (Hindi)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Slovenian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Galician)
  * Translated using Weblate (Serbian)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ John Doe ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Ouvek Kostiva ]
  * Translated using Weblate (Chinese (Traditional))

  [ James Valleroy ]
  * tahoe: Disable app
  * setup: Enable essential apps that use firewall
  * upgrades: Requires at least 5 GB free space for dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * syncthing: Create LDAP group name different from system group
  * syncthing: Hide unnecessary security warning
  * sharing: Update functional test to use syncthing-access group
  * plinth: Fix disable daemon when service alias is provided
  * container script: Various improvements

  [ Sunil Mohan Adapa ]
  * ui: js: Make select all checkbox option available more broadly
  * ui: css: New style for select all checkbox
  * backups: tests: Fix a typo in test case name
  * backups: Allow comments to be added to archives during backup
  * backups: Allow storing root repository details
  * backups: repository: Introduce a prepare method
  * backups: repository: Simplify handling of remote repo properties
  * backups: Introduce backup scheduling
  * backups: Add a schedule to each repository
  * backups: Trigger schedules every hour
  * backups: Add UI to edit schedules


## freedombox 21.4.2

=== debian/changelog ===
freedombox (21.4.2) unstable; urgency=high

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Michalis ]
  * Translated using Weblate (Greek)

  [ Reza Almanda ]
  * Translated using Weblate (Indonesian)

  [ Kirill Schmidt ]
  * first_boot: Use session to verify first boot welcome step

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 28 Mar 2021 09:23:46 -0400

freedombox (21.4.1) unstable; urgency=medium

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Karol Werner ]
  * Translated using Weblate (Polish)

  [ Michalis ]
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)

  [ Fioddor Superconcentrado ]
  * Generating developer documentation.
  * config: Fix tests related to user home directory
  * Translated using Weblate (Spanish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Veiko Aasa ]
  * deluge, mldonkey, syncthing, transmission: Depend on nslcd.service
  * deluge: Fix daemon user not in freedombox-share group after installation

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 13 Mar 2021 11:55:40 -0500

freedombox (21.4) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ James Valleroy ]
  * plinth: Disable start rate limiting for service
  * upgrades: Disable searx during dist-upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * ui: Fix buttons jumping on click in snapshots page
  * matrix-synapse, coturn: Fix minor pipeline failures

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)

  [ Kornelijus Tvarijanavičius ]
  * Translated using Weblate (Lithuanian)

  [ Joseph Nuthalapati ]
  * coturn: Add new component for usage of coturn by other apps
  * coturn: Minor refactor view to use utility to generate URIs
  * coturn: Remove advanced flag, make app visible to all
  * matrix-synapse: Auto configure STUN/TURN using coturn server
  * matrix-synapse: Update description to talk about TURN configuration

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 28 Feb 2021 20:57:00 -0500

## freedombox 21.4.4

=== doc/Makefile ===
#!/usr/bin/make -f
# SPDX-License-Identifier: AGPL-3.0-or-later

OUTPUTS=freedombox-manual.pdf plinth.1 manual-pages

MANUAL_LANGUAGES=en es

MANUAL_URL="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual?action=show&mimetype=text%2Fdocbook"
MANUAL_URL_RAW="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual?action=raw"
MANUAL_PAGE_URL_RAW="https://wiki.debian.org/{page}?action=raw"

DESTDIR=
INSTALL_DIR=$(DESTDIR)/usr/share/freedombox
SCRIPTS_DIR=scripts

manual-pdfs=$(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.pdf)
manual-xmls=$(patsubst %.pdf,%.xml,$(manual-pdfs))
OUTPUTS=$(manual-pdfs) plinth.1 manual-pages

INSTALL_OPTS=-D --mode=644

# In order to debug various problems with the documents especially
# intermediate LaTeX state, run make as follows:
#
#   $ make DEBUG=true
#   or
#   $ make DEBUG=true <target>
#
XMLTO_DEBUG_FLAGS=
ifneq ($(DEBUG),)
	XMLTO_DEBUG_FLAGS=--noclean -p '--debug'
endif

.PHONY: all install
all: $(OUTPUTS)

install: all
	for file in $(manual-pages-part-html) $(manual-pdfs); do \
		install $(INSTALL_OPTS) -t $(INSTALL_DIR)/$$(dirname $${file}) \
			$${file} ; \
	done
	for lang in $(MANUAL_LANGUAGES); do \
		install $(INSTALL_OPTS) manual/$${lang}/images/*.png \
			manual/$${lang}/images/*.jpg \
			-t $(INSTALL_DIR)/manual/$${lang}/images ; \
	done

# Do not edit the manual page in this directory.  The manual is
# maintained as separate pages on the FreedomBox wiki and aggregated
# into a single page using the MoinMoin include feature.  Then it is
# exported as Docbook format and kept here.
#
# It is important to keep a copy of the manual in this source tree
# because Debian packages promise an entire source tree including the
# documentation.
#
# Use 'make fetch' to retrieve the latest manual from the wiki and
# commit it to the repository.  The wiki page is already reviewed, so
# commits that update the manual just using the 'fetch' target do not
# require further reviews.
fetch-main-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-main-$(lang))
fetch-pages-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-pages-$(lang))
fetch-cleanup-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-cleanup-$(lang))

.PHONY: fetch $(fetch-main-list) $(fetch-pages-list) $(fetch-cleanup-list)
fetch: $(fetch-main-list) $(fetch-pages-list)

# Remove raw wiki pages and images before fetching to drop items deleted
# upstream.
featch-cleanup-%: lang = $*
$(fetch-cleanup-list): fetch-cleanup-%:
	rm -f manual/$(lang)/*.raw.wiki
	rm -f manual/$(lang)/images/*.png manual/$(lang)/images/*.jpg

fetch-main-%: lang = $*
fetch-main-%: lang-fragment = $(subst en/,,$*/)
$(fetch-main-list): fetch-main-%: fetch-cleanup-%
	MANUAL_URL_RAW_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL_RAW)) ; \
	wget --quiet --user-agent=Firefox \
	  -O manual/$(lang)/freedombox-manual.raw.wiki $${MANUAL_URL_RAW_LANG}
	MANUAL_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL)) ; \
	wget --quiet --user-agent=Firefox -O - $${MANUAL_URL_LANG} | \
	  xmllint --format --output manual/$(lang)/freedombox-manual.raw.xml -
	mkdir -p manual/$(lang)/images/
	xsltproc $(SCRIPTS_DIR)/fetch-images.xslt manual/$(lang)/freedombox-manual.raw.xml | \
	  sort -u | \
	  awk 'NF {print "wget --quiet -O manual/$(lang)/images/" $$1 " " $$2}' | \
	  sh
	rm manual/$(lang)/freedombox-manual.raw.xml

fetch-pages-%: lang = $*
fetch-pages-%: lang-fragment = $(subst en/,,$*/)
$(fetch-pages-list): fetch-pages-%: fetch-cleanup-%
	MANUAL_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL_RAW)) ; \
	PAGES=$$(wget --quiet --user-agent=Firefox -O - $${MANUAL_URL_LANG} | \
	  sed -n -e "s|.*<<Include(\([a-zA-Z0-9_/+-]*\),.*|\1|p" | sort -u) ; \
	for PAGE in $${PAGES} ; do \
	  PAGE_NAME=$$(basename $${PAGE}) ; \
	  echo "Downloading $(lang) $${PAGE}" ; \
	  RAW_FILE="manual/$(lang)/$${PAGE_NAME}.raw.wiki" ; \
	  RAW_URL=$$(echo $(MANUAL_PAGE_URL_RAW) | sed "s|{page}|$${PAGE}|") ; \
	  wget --quiet --user-agent=Firefox -O $${RAW_FILE} $${RAW_URL} ; \
	done

manual-pages-raw-wiki:=$(foreach lang,$(MANUAL_LANGUAGES),$(filter-out manual/%/freedombox-manual.raw.wiki,$(wildcard manual/$(lang)/*.raw.wiki)))
manual-pages-part-html:=$(patsubst %.raw.wiki, %.part.html, $(manual-pages-raw-wiki)) $(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.part.html)
manual-pages-xml:=$(patsubst %.raw.wiki, %.xml, $(manual-pages-raw-wiki))

.PHONY: manual-pages
manual-pages: $(manual-pages-part-html)

$(manual-pdfs): %.pdf: %.xml
	xmlto $(XMLTO_DEBUG_FLAGS) --with-dblatex pdf -o $(dir $@) $<

$(manual-pages-part-html): %.part.html: %.xml
	xsltproc /usr/share/xml/docbook/stylesheet/docbook-xsl/xhtml5/docbook.xsl $< | \
	perl -pe 'BEGIN {undef $$/} s/.*<body[^>]*>(.*)<\/body\s*>.*/$$1/si' > $@
	@rm -f $(dir $@)docbook.css

$(manual-xmls) $(manual-pages-xml): %.xml: %.raw.wiki $(SCRIPTS_DIR)/wikiparser.py
	$(SCRIPTS_DIR)/wikiparser.py $< | xmllint --format - > $@

%.1: %.xml
	xmlto man $<

.PHONY: clean
clean:
	rm -f $(manual-pages-part-html) $(manual-pages-xml) $(manual-xmls)
	rm -f $(OUTPUTS)

## freedombox 21.4.4~bpo10+1

=== debian/changelog ===
freedombox (21.4.4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Revert "debian: Ensure fuse gets replaced by fuse3"

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 24 Jul 2021 20:20:29 -0400

freedombox (21.4.4) unstable; urgency=medium

  * action_utils: Separate function to hold freedombox package
  * action_utils: Use flag to indicate freedombox package has been held
  * upgrades: Check for held freedombox package in manual update
  * upgrades: Check for held freedombox package daily
  * action_utils: Don't print when unholding freedombox package

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 16 Jul 2021 09:07:51 -0400

freedombox (21.4.3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 15 Jul 2021 09:13:42 -0400

freedombox (21.4.3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * freedombox: Add Breaks: fuse (<< 3) and Depends: fuse3 (>= 3) to ensure
    fuse gets replaced by fuse3 on upgrades from buster.  (Closes: #990758)

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 07 Jul 2021 10:32:34 -0400

freedombox (21.4.2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 04 Apr 2021 07:12:37 -0400

freedombox (21.4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 11 Mar 2021 08:31:15 -0500

freedombox (21.3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 22 Feb 2021 10:29:26 -0500

freedombox (21.2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 08 Feb 2021 11:15:30 -0500

freedombox (21.1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 28 Jan 2021 07:04:14 -0500

freedombox (21.0~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 14 Jan 2021 20:20:20 -0500

freedombox (20.21~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 31 Dec 2020 09:48:23 -0500

freedombox (20.20.1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 22 Dec 2020 07:06:27 -0500

freedombox (20.19~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 03 Dec 2020 06:56:54 -0500

freedombox (20.18.1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 26 Nov 2020 07:18:30 -0500

freedombox (20.18~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 20 Nov 2020 18:01:52 -0500

plinth (20.17~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 05 Nov 2020 05:47:29 -0500

plinth (20.16~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 22 Oct 2020 18:01:42 -0400

plinth (20.15~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 08 Oct 2020 18:26:10 -0400

plinth (20.14.1~bpo10+1) buster-backports; urgency=high

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 25 Sep 2020 06:26:43 -0400

plinth (20.14~bpo10+1) buster-backports; urgency=high

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 18 Sep 2020 14:07:17 -0400

plinth (20.12.1~bpo10+1) buster-backports; urgency=high

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 08 Jul 2020 06:46:30 -0400

plinth (20.12~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 02 Jul 2020 09:00:02 -0400

plinth (20.11~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 18 Jun 2020 07:26:47 -0400

plinth (20.10~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 05 Jun 2020 07:11:21 -0400

plinth (20.9~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 21 May 2020 07:06:26 -0400

plinth (20.8~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 07 May 2020 09:36:23 -0400

plinth (20.7~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 23 Apr 2020 12:12:09 -0400

plinth (20.6.1~bpo10+1) buster-backports; urgency=medium

  [ James Valleroy ]
  * Rebuild for buster-backports.

 -- Federico Ceratto <federico@debian.org>  Fri, 17 Apr 2020 00:05:00 +0100

plinth (20.5~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 26 Mar 2020 06:28:26 -0400

plinth (20.4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 12 Mar 2020 07:12:56 -0400

plinth (20.3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 27 Feb 2020 18:37:15 -0500

plinth (20.2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 13 Feb 2020 19:40:38 -0500

plinth (20.1~bpo10+1) buster-backports; urgency=medium



=== debian/control ===
Source: freedombox
Section: web
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Piotr Ożarowski <piotr@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
 Nick Daly <Nick.M.Daly@gmail.com>,
 Federico Ceratto <federico@debian.org>,
 James Valleroy <jvalleroy@mailbox.org>,
Build-Depends:
 debhelper-compat (= 13),
 dblatex,
 dh-python,
 docbook-xsl,
 e2fsprogs,
 gir1.2-nm-1.0,
 libjs-bootstrap4,
 python3-all,
 python3-apt,
 python3-augeas,
 python3-bootstrapform,
 python3-cherrypy3,
 python3-configobj,
 python3-dbus,
 python3-django (>= 1.11),
 python3-django-axes (>= 3.0.3),
 python3-django-captcha,
 python3-django-stronghold (>= 0.3.0),
 python3-flake8,
 python3-gi,
 python3-markupsafe,
 python3-openssl,
 python3-pampy,
 python3-paramiko,
 python3-psutil,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-pytest-runner,
 python3-requests,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-setuptools-git,
 python3-yaml,
 sshpass,
 xmlto,
 xsltproc
Standards-Version: 4.5.1
Homepage: https://salsa.debian.org/freedombox-team/freedombox
Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
Rules-Requires-Root: no

Package: freedombox
Breaks:
 freedombox-setup (<< 0.13~),
 plinth (<< 0.46.0~),
Replaces:
 freedombox-setup (<< 0.13~),
 plinth (<< 0.46.0~),
Architecture: all
Provides: plinth
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${freedombox:Depends},
 adduser,
 augeas-tools,
 curl,
 debconf,
 dnsutils,
 e2fsprogs,
 fonts-fork-awesome,
 fonts-lato,
# sgdisk is used in storage app to expand GPT disks
 gdisk,
 gettext,
 gir1.2-glib-2.0,
 gir1.2-nm-1.0,
 javascript-common,
 ldapscripts,
# For gdbus used to call hooks into service
 libglib2.0-bin,
 libjs-bootstrap4,
 libjs-jquery,
 libjs-modernizr,
 lsof,
 netcat-openbsd,
 network-manager,
# Ensure that nscd is installed rather than unscd.
 nscd (>= 2),
 ppp,
 pppoe,
 python3-apt,
 python3-argon2,
 python3-augeas,
 python3-bootstrapform,
 python3-cherrypy3,
 python3-configobj,
 python3-dbus,
 python3-django (>= 1.11),
 python3-django-axes (>= 3.0.3),
 python3-django-captcha,
 python3-django-stronghold,
 python3-gi,
 python3-markupsafe,
 python3-pampy,
 python3-paramiko,
 python3-psutil,
 python3-requests,
 python3-ruamel.yaml,
 python3-systemd,
 python3-yaml,
 sudo,
 wget,
Recommends:
# Priority: standard
 bzip2,
# Provides brctl for controlling bridges
 bridge-utils,
# Read, write to char devices
 devio,
# Create, repair DOS filesystems
 dosfstools,
# Priority: standard
 file,
# Wifi firmware
 firmware-ath9k-htc,
# FreedomBox documentation
 freedombox-doc-en,
 freedombox-doc-es,
# Provide entropy using HAVEGE algorithm
 haveged,
# Monitor system resources
 htop,
# Monitor network traffic statistics
 iftop,
# Basic network utitlity ping
 iputils-ping,
# Manage wireless devices
 iw,
# Resolve gateway.localhost
 libnss-gw-name,
# Resolve .local address using mDNS
 libnss-mdns,
# Resolve current hostname without /etc/hosts
 libnss-myhostname,
# Tighter $TMPDIR permissions
 libpam-tmpdir,
# Block repeated failed PAM login attempts
 libpam-abl,
# Priority: standard
 locales,
# Precompiled data for all locales
 locales-all,
# Priority: standard
 openssh-client,
# Priority: standard
 pciutils,
# Used by unattended-upgrades to check if running on AC power
 powermgmt-base,
# fuser, pstree and other utilities
 psmisc,
# Manage /etc/resolv.conf
 resolvconf,
# Tool to kill WLAN, Bluetooth and moble broadband
 rfkill,
# Monitor network traffic
 tcpdump,
# Basic editor, VIM style
 vim-tiny,
# iwconfig, iwlist and other wireless network tools
 wireless-tools,
# Priority: standard
 whois,
# Basic editor, Emacs style
 zile,
Description: easy to manage, privacy oriented home server
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package provides the FreedomBox Service (Plinth) which installs,
 configures and manages all functions of FreedomBox. The service is managed
 using a web interface available at https://localhost/.

Package: freedombox-doc-en
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: easy to manage, privacy oriented home server - user manual (English)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package contains the English user manual in HTML and PDF formats. It
 describes how to setup and use each application in FreedomBox and FreedomBox
 itself. It is accessible from Help menu in the FreedomBox web interface.

Package: freedombox-doc-es
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: easy to manage, privacy oriented home server - user manual (Spanish)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package contains the Spanish user manual in HTML and PDF formats. It
 describes how to setup and use each application in FreedomBox and FreedomBox
 itself. It is accessible from Help menu in the FreedomBox web interface.

## freedombox 21.4.4

=== debian/control ===
--- 
+++ 
@@ -58,6 +58,8 @@
 Breaks:
  freedombox-setup (<< 0.13~),
  plinth (<< 0.46.0~),
+# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
+ fuse (<< 3),
 Replaces:
  freedombox-setup (<< 0.13~),
  plinth (<< 0.46.0~),
@@ -116,6 +118,8 @@
  python3-yaml,
  sudo,
  wget,
+# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
+ fuse3 (>= 3),
 Recommends:
 # Priority: standard
  bzip2,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_DESTDIR=debian/tmp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install-indep:
	dh_auto_install
	./run --develop --list-dependencies | sort | tr '\n' ', ' | \
		sed -e 's/^/freedombox:Depends=/' >> debian/freedombox.substvars

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test

override_dh_installsystemd:
	# Do not enable or start freedombox-manual-upgrade.service.
	dh_installsystemd --exclude=freedombox-manual-upgrade.service

=== debian/tests/control ===
#
# Smoke test to check various basics on an installed version of Plinth. This
# checks that the following aspects are working okay:
#   - Python runtime
#   - Python library dependencies
#   - FreedomBox configuration
#   - Ability to create and initialize database
#   - Module inititailzation for essential modules
#
Test-Command: plinth --list-modules 2> /dev/null
Restrictions: needs-root

#
# Run unit and integration tests on installed files.
#
Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/plinth/' py.test-3 -p no:cacheprovider
Depends: git, python3-pytest, python3-pytest-django, @

## freedombox 21.5build1

=== debian/changelog ===
freedombox (21.5build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:47:15 -0400

freedombox (21.5) experimental; urgency=medium

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Karol Werner ]
  * Translated using Weblate (Polish)

  [ Michalis ]
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)

  [ Fioddor Superconcentrado ]
  * Generating developer documentation.
  * config: Fix tests related to user home directory
  * Translated using Weblate (Spanish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Veiko Aasa ]
  * deluge, mldonkey, syncthing, transmission: Depend on nslcd.service
  * deluge: Fix daemon user not in freedombox-share group after installation
  * users: Fix unit test failures when LDAP is empty

  [ Sunil Mohan Adapa ]
  * ssh, apache: Make fail2ban use systemd journald backend by default
  * security: Move fail2ban default configuration to this app
  * security: Ensure that fail2ban is not re-enabled on version increment
  * security: Increment app version to reload fail2ban
  * action_utils: Introduce utility for masking services
  * config: Disable rsyslog and syslog forwarding
  * config: Install and configure zram for swap
  * Update copyright year

  [ James Valleroy ]
  * debian: Add coverage to autopkgtest
  * ci: Merge with Salsa CI pipeline
  * config: Convert entered domain name to lower case
  * dynamicdns: Wait after changing domain name in tests
  * dynamicdns: Convert entered domain name to lower case
  * pagekite: Convert entered kite name to lower case
  * config, dynamicdns, pagekite: Remove incorrect use of str
  * letsencrypt: Always return a diagnostics result
  * diagnostics: Use lock to protect results
  * coturn: Validate TURN URIs if provided in form
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Max Rockatansky ]
  * security: Clarify vulnerability count and provide link to more info

  [ Joseph Nuthalapati ]
  * docs: Improve Developer Documentation index page
  * container: distribution as environment variable
  * ejabberd: STUN/TURN configuration
  * coturn: Mention ejabberd in app description

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Reza Almanda ]
  * Translated using Weblate (Indonesian)

  [ Aditya Pratap Singh ]
  * container: Work in the absence of systemd in PATH, for eg. in Arch

  [ Kirill Schmidt ]
  * first_boot: Use session to verify first boot welcome step

  [ fliu ]
  * HACKING.md: added some troubleshooting information
  * container script: Must convert env. var. string to a Path object

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ whenwesober ]
  * Translated using Weblate (Indonesian)

  [ 池边树下 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Weblate ]
  * Added translation using Weblate (Albanian)

  [ Besnik Bleta ]
  * debian: Add Albanian (sq) locale
  * Translated using Weblate (Albanian)

  [ Carlos Henrique Lima Melara ]
  * doc: Add filename to code snippets in tutorial
  * docs: Add missing imports in tutorial
  * docs: Set the `version` attribute as required instead of optional

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 19 Apr 2021 20:23:23 -0400

=== debian/tests/control ===
--- 
+++ 
@@ -13,5 +13,5 @@
 #
 # Run unit and integration tests on installed files.
 #
-Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/plinth/' py.test-3 -p no:cacheprovider
-Depends: git, python3-pytest, python3-pytest-django, @
+Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/plinth/' py.test-3 -p no:cacheprovider --cov=plinth --cov-report=html:debci/htmlcov --cov-config=.coveragerc --cov-report=term
+Depends: git, python3-pytest, python3-pytest-cov, python3-pytest-django, @

## freedombox 21.15~bpo11%2B1

=== debian/changelog ===
freedombox (21.15~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 10 Dec 2021 06:19:20 -0500

freedombox (21.15) unstable; urgency=medium

  [ trendspotter ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * shaarli: Enable app
  * tests: Add 'domain' mark for apps that add/remove domains
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * dynamicdns: Update URLs to the new dynamic DNS server
  * firewall: Allow configuration upgrade to version 1.0.x
  * *: Drop unused manual_page at module level
  * app: Introduce API to setup an app
  * package: Add parameter to specify skipping package recommendations
  * package: Implement installing packages in the component
  * actions: Get list of packages from Packages components
  * security: Get the list of packages from Packages component
  * *: Drop use of managed_packages and rely on Packages component
  * doc/dev: Update documentation to not refer to managed_packages
  * actions/service: Drop unused list action
  * bind: Drop alias handling unnecessary in >= Bullseye
  * security: Drop use of managed_services in security report
  * daemon: Add new component to hold information about related daemons
  * actions/service: Drop use of managed_services for Daemon component
  * *: Drop use of managed_services, rely on Daemon component
  * doc/dev: Remove mention of managed_services
  * actions/letsencrypt: Drop use of managed_paths and use LE component
  * *: Drop use of unnecessary managed_paths
  * doc/dev: Drop discussion on managed_paths
  * package: Introduce component API for package conflicts
  * *: Drop module level package_conflicts and use component API
  * packages: Move checking for unavailable packages to component
  * app: Introduce API for managing setup state of the app
  * doc/dev: Remove outdated reference to init() at module level
  * *: Use the App's state management API
  * setup: Drop unused API for app's state management
  * *: Drop use of module level is_essential flag
  * *: Drop use of module level version
  * middleware, views: Reduce use of setup_helper
  * web_server: Drop use of loaded_modules and use App.list
  * first_boot: Drop use of loaded_modules and use App.list
  * security: Drop use of loaded_modules and use App.list
  * main: List apps instead of modules
  * setup: Run setup on apps instead of modules
  * setup: List dependencies for apps instead of modules
  * setup: Use apps instead of modules to determine running first setup
  * setup: Work on apps instead of modules for force upgrade
  * module_loader, app: Move app init to app module
  * *: Drop module level depends declaration
  * doc/dev: Drop reference to module level depends declaration
  * forms: Fix regression with TLS domain form in quassel and tt-rss
  * email_server: Simplify domain configuration form
  * email_server: Merge domain configuration with app view
  * letsencrypt: On domain removal, don't revoke certificate, keep it

  [ Johannes Keyser ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 Dec 2021 18:51:28 -0500

freedombox (21.14.1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 27 Nov 2021 09:10:54 -0500

freedombox (21.14.1) unstable; urgency=high

  [ Sunil Mohan Adapa ]
  * config: Add packages component to a re-add zram-tools dependency

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 24 Nov 2021 10:36:25 -0500

freedombox (21.14) unstable; urgency=high

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * app: Introduce separate method for post initialization operations
  * module_loader: Split app initialization into separate steps
  * avahi: Split app initialization
  * backups: Split app initialization
  * cockpit: Split app initialization
  * diagnostics: Split app initialization
  * dynamicdns: Split app initialization
  * email_server: Don't get domain name during initialization
  * config: Split app configuration
  * letencrypt: Split app initialization
  * names: Split app initialization
  * pagekite: Split app initialization
  * storage: Split app initialization
  * tor: Split app initialziation
  * upgrades: Split app initialziation
  * ejabberd: Split app initialziation
  * gitweb: Split app initialization
  * frontpage: Avoid URL reverse during Shortcut component construction
  * menu: Avoid reversing URL during Menu component construction
  * main: Drop initializing Django when listing dependencies (Closes: #999484)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ Joseph Nuthalapati ]
  * names: Create a generic TLS domain selection form
  * tt-rss: Allow selection of a domain name

  [ James Valleroy ]
  * debian: Fail build if no module dependencies found
  * datetime: Avoid error when systemctl is not available
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 22 Nov 2021 18:45:33 -0500

freedombox (21.13~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 11 Nov 2021 09:21:57 -0500

freedombox (21.13) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)

  [ Joseph Nuthalapati ]
  * utils: Fix ruamel.yaml deprecation warnings
  * components: Introduce new component - Packages
  * setup: Use packages from Packages component
  * components: Add docstrings & tutorial for Packages

  [ Sunil Mohan Adapa ]


=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  e2fsprogs,
  gir1.2-nm-1.0,
  libjs-bootstrap4,
- python3-all,
+ python3-all:any,
  python3-apt,
  python3-augeas,
  python3-bootstrapform,
@@ -48,7 +48,7 @@
  sshpass,
  xmlto,
  xsltproc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://salsa.debian.org/freedombox-team/freedombox
 Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
 Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
@@ -176,8 +176,6 @@
  tcpdump,
 # Basic editor, VIM style
  vim-tiny,
-# iwconfig, iwlist and other wireless network tools
- wireless-tools,
 # Priority: standard
  whois,
 # Basic editor, Emacs style

=== debian/tests/control ===
#
# Smoke test to check various basics on an installed version of Plinth. This
# checks that the following aspects are working okay:
#   - Python runtime
#   - Python library dependencies
#   - FreedomBox configuration
#   - Ability to create and initialize database
#   - Module inititailzation for essential modules
#
Test-Command: plinth --list-apps 2> /dev/null
Restrictions: needs-root

#
# Run unit and integration tests on installed files.
#
Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/plinth/' py.test-3 -p no:cacheprovider --cov=plinth --cov-report=html:debci/htmlcov --cov-report=term
Depends: git, python3-openssl, python3-pytest, python3-pytest-cov, python3-pytest-django, @

## freedombox 22.5

=== doc/Makefile ===
--- 
+++ 
@@ -85,7 +85,7 @@
 	xsltproc $(SCRIPTS_DIR)/fetch-images.xslt manual/$(lang)/freedombox-manual.raw.xml | \
 	  sort -u | \
 	  awk 'NF {print "wget --quiet -O manual/$(lang)/images/" $$1 " " $$2}' | \
-	  sh
+	  sh -e
 	rm manual/$(lang)/freedombox-manual.raw.xml
 
 fetch-pages-%: lang = $*

=== debian/changelog ===
freedombox (22.5) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Joseph Nuthalapati ]
  * tests: functional: Add plugin for HTML reports

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Jaime Marquínez Ferrándiz ]
  * Translated using Weblate (Spanish)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Hungarian)
  * tt-rss: Restrict access to `feed-reader` group in "/tt-rss-app"

  [ James Valleroy ]
  * dynamicdns: Replace ez-ipupdate
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * dynamicdns: Drop about page and merge into description
  * dynamicdns: Drop tabs and use single page
  * dynamicdns: Drop NAT detection as it is no longer used
  * app: Add component to store enabled state of an app in kvstore
  * backups: Implement backup/restore of key/value settings
  * dynamicdns: Rewrite configuration handling and update using URL
  * users: Fix typo in description
  * minetest: Reduce the number of configuration update messages

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 14 Feb 2022 20:41:06 -0500

freedombox (22.4) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)

  [ Benedek Nagy ]
  * shaarli: Add android app to description
  * apache: Don't redirect to HTTPS for .onion domains
  * matrixsynapse: Add FluffyChat to client list
  * power: Add a link to power app in the system menu
  * Translated using Weblate (Hungarian)

  [ Sunil Mohan Adapa ]
  * mldonkey: Drop app not available in Debian Bullseye and Bookworm
  * tests: functional: Implement a workaround for issue with screenshots
  * wordpress: tests: functional: Add missing marks on tests
  * tests: functional: Set default screenshots dir as ./screenshots
  * doc: Fail when downloading images from Debian wiki fails
  * cockpit: Explicitly redirect to HTTPS as needed for WebSockets
  * apache: Don't set HSTS for .onion domain
  * wireguard: tests: Add functional tests
  * snapshots: Clarify that snapshots are take during updates too
  * coturn: Use wildcard listening address to fix startup issues
  * sso, users: Redirect to home page after logout
  * users: Clarify help message for authorization password
  * HACKING: Stop using setup.py as a way to run tests
  * email_server: Drop some unused code
  * roundcube: Add setting for local connection only
  * email_server: Drop showing diagnostics/repair and roundcube config

  [ James Valleroy ]
  * .gitignore: Add screenshots/
  * shaarli: Add backup component
  * shaarli: Add functional test
  * shaarli: Test adding a bookmark
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Coucouf ]
  * Translated using Weblate (French)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Andrij Mizyk ]
  * Translated using Weblate (Ukrainian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 31 Jan 2022 20:04:57 -0500

freedombox (22.3) unstable; urgency=medium

  [ nautilusx ]
  * Translated using Weblate (German)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Benedek Nagy ]
  * tt-rss: Allow published articles to be publicly available
  * Translated using Weblate (Hungarian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * container: Avoid a warning that interactive mode is intended
  * sso: Add missing captcha/rate limiting on SSO login
  * sso: Adjust URL to CAPTCHA page needed by Django security fix
  * upgrades: Allow matrix's new dependency to be installed
  * tests: functional: Fix setting domain name with active notifications
  * help: tests: Fix functional test to check for status logs

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 17 Jan 2022 20:17:22 -0500

freedombox (22.2) unstable; urgency=medium

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Eric ]
  * Translated using Weblate (Chinese (Simplified))

  [ Benedek Nagy ]
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Hungarian)
  * wireguard: Fix spelling
  * transmission: Fix capitalization
  * openvpn: Add link to IOS app
  * mumble: Change description to include iOS client app
  * radicale: Update Thunderbird URLs
  * i2p: Fix grammar in description
  * backups: Correct spelling of encryption protocols
  * networks: Fix reference to an option

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * help: Fix failing setup when manual directory is not available
  * debian, setup.py: Add dependency on python3-tomli
  * ikiwiki: Initialize shortcuts during post-init setup

  [ James Valleroy ]
  * locale: Update translation strings

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 11 Jan 2022 20:09:59 -0500



=== debian/control ===
--- 
+++ 
@@ -44,6 +44,8 @@
  python3-ruamel.yaml,
  python3-setuptools,
  python3-setuptools-git,
+# python3-tomli is not available in Bullseye
+ python3-tomli | python3-coverage (<< 6.0),
  python3-yaml,
  sshpass,
  xmlto,

=== debian/tests/control ===
--- 
+++ 
@@ -14,4 +14,4 @@
 # Run unit and integration tests on installed files.
 #
 Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/plinth/' py.test-3 -p no:cacheprovider --cov=plinth --cov-report=html:debci/htmlcov --cov-report=term
-Depends: git, python3-openssl, python3-pytest, python3-pytest-cov, python3-pytest-django, @
+Depends: git, python3-openssl, python3-pytest, python3-pytest-cov, python3-pytest-django, python3-tomli | python3-coverage (<< 6.0), @
